.circle {
    width: 50px;
    height: 50px;
    background: linear-gradient(135deg, #92159d, #0043d7);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    position: fixed;
    left: 10px;
    top: 50%;
    transform: translateY(320%);
    z-index: 1000;
    font-size: 24px;
    color: white;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s;
}

.stars {
    width: 60px;
    /*height: 60px;*/
    background-color: #6b5b95;
    /* Purple color */
    border-radius: 50%;
    transition: background-color 0.3s, filter 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.circle:hover .stars {
    background-color: #5d0f6d;
    filter: drop-shadow(0 0 10px #fffdef);
}

.color-circle {
    width: 50px;
    height: 50px;
    background: linear-gradient(135deg, #92159d, #0043d7);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    cursor: pointer;
    position: fixed;
    left: 10px;
    top: calc(50% + 270px);
    transform: translateY(-50%);
    z-index: 1000;
    font-size: 24px;
    color: white;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s;
}

.color-circle:hover {
    background-color: #5d0f6d;
}

#options {
    display: none;
    position: fixed;
    left: 70px;
    top: calc(20% + 290px);
    transform: translateY(-50%);
    background-color: white;
    border: 1px solid #ccc;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

#options button {
    display: block;
    margin-bottom: 10px;
    width: 100%;
    padding: 10px;
    border: none;
    background: linear-gradient(135deg, #8f029b, #250d83);
    color: white;
    border-radius: 3px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#options button:hover {
    background-color: #5d0f6d;
}

#options button:last-child {
    margin-bottom: 0;
}

@media (max-width: 600px) {
    .circle,
    .color-circle {
        width: 40px;
        height: 40px;
        font-size: 20px;
        left: 5px;
    }

    .color-circle {
        top: calc(50% + 60px);
    }

    #options {
        left: 50px;
        padding: 10px;
        top: calc(50% + 60px);
    }

    #options button {
        font-size: 14px;
        padding: 8px;
    }
}
